/* GtkDatabox - An extension to the gtk+ library
 * Copyright (C) 1998 - 2005  Dr. Roland Bock
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <gtkdatabox.h>

#define CROSS_BORDER 10

void
gtk_databox_cross_simple_draw (GtkDatabox * box, GtkDataboxData * data)
{
   gint x = 0;
   gint y = 0;
   gboolean xflag = FALSE;
   gboolean yflag = FALSE;

   if (0 >= box->top_left.x && 0 < box->bottom_right.x)
   {
      x = (0 - box->top_left.x) * box->factor.x;
      if (x >= CROSS_BORDER && x < box->size.x - CROSS_BORDER)
      {
	 gdk_draw_line (box->pixmap, data->gc, x, CROSS_BORDER, x,
			box->size.y - CROSS_BORDER);
	 xflag = TRUE;
      }
   }
   if (0 <= box->top_left.y && 0 > box->bottom_right.y)
   {
      y = (0 - box->top_left.y) * box->factor.y;
      if (y >= CROSS_BORDER && y < box->size.y - CROSS_BORDER)
      {
	 gdk_draw_line (box->pixmap, data->gc, CROSS_BORDER, y,
			box->size.x - CROSS_BORDER, y);
	 yflag = TRUE;
      }
   }
}
